QXmpp: QXmppIbbOpenIq Class Reference

QXmpp Version: 1.14.3

Loading...
Searching...
No Matches
QXmppIbbOpenIq Class Reference
Stanzas
Inheritance diagram for QXmppIbbOpenIq:

## Public Member Functions
long | blockSize () const
void | setBlockSize (long block_size)
QString | sid () const
void | setSid (const QString &sid)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
| QXmppIq (QXmppIq &&)
| Default move-constructor.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq & | operator= (QXmppIq &&)
| Move-assignment operator.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
| QXmppStanza (QXmppStanza &&)
| Move constructor.
| ~QXmppStanza () override
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QXmppStanza & | operator= (QXmppStanza &&)
| Move-assignment operator.
QString | to () const
void | setTo (const QString &)
QString | from () const
void | setFrom (const QString &)
QString | id () const
void | setId (const QString &)
QString | lang () const
void | setLang (const QString &)
QXmppStanza::Error | error () const
std::optional< Error > | errorOptional () const
void | setError (const QXmppStanza::Error &error)
void | setError (const std::optional< Error > &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)
std::optional< QXmppE2eeMetadata > | e2eeMetadata () const
void | setE2eeMetadata (const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
Public Member Functions inherited from QXmppNonza
virtual void | parse (const QDomElement &)=0
virtual void | toXml (QXmlStreamWriter *writer) const =0

## Additional Inherited Members
Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Detailed Description

The QXmppIbbOpenIq represents an IBB open request as defined by XEP-0047: In-Band Bytestreams.

## Member Function Documentation

## ◆ blockSize()

long QXmppIbbOpenIq::blockSize | ( |  | ) | const

Returns the maximum size in bytes of each data chunk (which MUST NOT be greater than 65535).

## ◆ setBlockSize()

void QXmppIbbOpenIq::setBlockSize | ( | long | block_size | ) |

Sets the maximum size in bytes of each data chunk (which MUST NOT be greater than 65535).

## ◆ setSid()

void QXmppIbbOpenIq::setSid | ( | const QString & | sid | ) |

Sets the unique session ID for this IBB session (which MUST match the NMTOKEN datatype).

## ◆ sid()

QString QXmppIbbOpenIq::sid | ( |  | ) | const

Returns the unique session ID for this IBB session (which MUST match the NMTOKEN datatype).

The documentation for this class was generated from the following files:

- QXmppIbbIq.h
- QXmppIbbIq.cpp